#!/bin/bash


unameOut="$(uname -s)"
case "${unameOut}" in
    Linux*)
      machine=Linux;;
    Darwin*)
      machine=Mac;;
    CYGWIN*)
      machine=Cygwin;;
    MINGW*)
      machine=MinGw;;
    MSYS_NT*)
      machine=Git;;
    *)
      machine="UNKNOWN:${unameOut}"
esac

if [ "$machine" = "Mac" ]
then
  pkg_manager='brew'
  echo "Installing brew package manager"
  bash programs/package_manager/brew/install_brew.sh
fi

if [ "$machine" = "Linux" ]
then
  pkg_manager="apt"
fi


echo "Installing ${pkg_manager} packages"
bash programs/package_manager/${pkg_manager}/packages.sh
if [ -d programs/package_manager/${pkg_manager}/others ]
then
for file in programs/package_manager/${pkg_manager}/others/*.sh
do
  bash ${file}
done
fi

echo "Installing side packages"
for file in $(find programs/others/ -name '*.sh')
do
  bash ${file}
done
echo "Installing dotfiles"
bash programs/dotfiles/oh-my-zsh.sh
bash programs/dotfiles/zsh-plugins.sh
bash programs/dotfiles/powerlevel10k.sh
bash programs/dotfiles/nerd-font.sh

